--- old/usr/src/man/man3c/wstring.3c	Sun Jul 27 18:01:35 2014
+++ new/usr/src/man/man3c/wstring.3c	Sun Jul 27 18:01:35 2014
@@ -1,81 +1,134 @@
-'\" te
+.\" Copyright 2014 Garrett D'Amore <garrett@damore.org>
 .\"  Copyright (c) 1996, Sun Microsystems, Inc.  All Rights Reserved
 .\" The contents of this file are subject to the terms of the Common Development and Distribution License (the "License").  You may not use this file except in compliance with the License.
 .\" You can obtain a copy of the license at usr/src/OPENSOLARIS.LICENSE or http://www.opensolaris.org/os/licensing.  See the License for the specific language governing permissions and limitations under the License.
 .\" When distributing Covered Code, include this CDDL HEADER in each file and include the License file at usr/src/OPENSOLARIS.LICENSE.  If applicable, add the following below this CDDL HEADER, with the fields enclosed by brackets "[]" replaced with your own identifying information: Portions Copyright [yyyy] [name of copyright owner]
-.TH WSTRING 3C "Dec 29, 1996"
-.SH NAME
-wstring, wscasecmp, wsncasecmp, wsdup, wscol \- Process Code string operations
-.SH SYNOPSIS
-.LP
-.nf
-#include <widec.h>
-
-\fBint\fR \fBwscasecmp\fR(\fBconst wchar_t *\fR\fIs1\fR, \fBconst wchar_t *\fR\fIs2\fR);
-.fi
-
-.LP
-.nf
-\fBint\fR \fBwsncasecmp\fR(\fBconst wchar_t *\fR\fIs1\fR, \fBconst wchar_t *\fR\fIs2\fR, \fBint\fR \fIn\fR);
-.fi
-
-.LP
-.nf
-\fBwchar_t *\fR\fBwsdup\fR(\fBconst wchar_t *\fR\fIs\fR);
-.fi
-
-.LP
-.nf
-\fBint\fR \fBwscol\fR(\fBconst wchar_t *\fR\fIs\fR);
-.fi
-
-.SH DESCRIPTION
-.sp
-.LP
-These functions operate on Process Code strings terminated by \fBwchar_t\fR
-null characters.  During appending or copying, these routines do not check for
-an overflow condition of the receiving string. In the following, \fIs\fR,
-\fIs1\fR, and \fIs2\fR point to Process Code strings terminated by a
-\fBwchar_t\fR null.
-.SS "wscasecmp(\|), wsncasecmp(\|)"
-.sp
-.LP
-The \fBwscasecmp()\fR function compares its arguments, ignoring case, and
-returns an integer greater than, equal to, or less than 0, depending upon
-whether \fIs1\fR is lexicographically greater than, equal to, or less than
-\fIs2\fR. It makes the same comparison but compares at most \fIn\fR Process
-Code characters. The four Extended Unix Code (EUC) codesets are ordered from
-lowest to highest as 0, 2, 3, 1 when characters from different codesets are
-compared.
-.SS "wsdup(\|)"
-.sp
-.LP
-The \fBwsdup()\fR function returns a pointer to a new Process Code string,
-which is a duplicate of the string pointed to by \fIs\fR. The space for the new
-string is obtained using \fBmalloc\fR(3C). If the new string cannot be created,
-a null pointer is returned.
-.SS "wscol(\|)"
-.sp
-.LP
-The \fBwscol()\fR function returns the screen display width (in columns) of the
-Process Code string \fIs\fR.
-.SH ATTRIBUTES
-.sp
-.LP
-See \fBattributes\fR(5) for descriptions of the following attributes:
-.sp
-
-.sp
-.TS
-box;
-c | c
-l | l .
-ATTRIBUTE TYPE	ATTRIBUTE VALUE
-_
-MT-Level	MT-Safe
-.TE
-
-.SH SEE ALSO
-.sp
-.LP
-\fBmalloc\fR(3C), \fBstring\fR(3C), \fBwcstring\fR(3C), \fBattributes\fR(5)
+.Dd "Jul 27, 2014"
+.Dt WSTRING 3C
+.Os
+.Sh NAME
+.Nm wstring ,
+.Nm wscasecmp ,
+.Nm wsncasecmp ,
+.Nm wsdup ,
+.Nm wslen ,
+.Nm wscol
+.Nd legacy wide-character string handling
+.Sh SYNOPSIS
+.In widec.h
+.Ft int
+.Fo wscasecmp
+.Fa "const wchar_t *s1"
+.Fa "const wchar_t *s2"
+.Fc
+.
+.Ft int
+.Fo wsncasecmp
+.Fa "const wchar_t *s1"
+.Fa "const wchar_t *s2"
+.Fa int n"
+.Fc
+.
+.Ft "wchar_t *"
+.Fo wsdup
+.Fa "const wchar_t *s"
+.Fc
+.
+.Ft int
+.Fo wscol
+.Fa "const wchar_t *s"
+.Fc
+.
+.Ft int
+.Fo wslen
+.Fa "const wchar_t *s"
+.Fc
+.
+.Sh DESCRIPTION
+These functions operate on wide-character strings. They are the historical
+functions for performing operation on such strings, and have been superseded
+by newer functions by various standards bodies.  As such, their use is
+deprecated and should be avoided in new applications.
+.Lp
+Wide-character strings
+.Fa s1 ,
+.Fa s2 ,
+and
+.Fa s
+used in these functions are terminated by
+null wide-characters.  None of these functions check for overflow
+conditions when appending to or copying strings.
+.
+.Ss Fn wscasecmp , wsncasecmp
+The
+.Fn wscasecmp
+and
+.Fn wsncasecmp
+functions compares their arguments, ignoring differences in case according
+to the current locale.  Whereas
+.Fn wscasecmp
+continues comparing the strings until either a difference is found,
+or the end of either string is reached, the
+.Fn wcsncasecmp
+function compares at most
+.Fa n
+wide-characters.
+.Lp
+The
+.Fn wscasecmp
+and
+.Fn wsncasecmp
+functions have been superseded by
+.Xr wcscasecmp 3C
+and
+.Xr wcsncasecmp 3C ,
+respectively, and behave identically to them.
+.Lp
+Note that for lexigraphic comparisions, the four Extended Unix Code (EUC)
+character sets are ordered from lowest to highest.
+.
+.Ss Fn wscol
+.
+The
+.Fn wscol
+function returns the width in screen columns required to display the
+wide-character string
+.Fa s .
+This function has been superseded by
+.Xr wcswidth
+and behaves similarily to it.
+.
+.Ss Fn wsdup
+.
+The
+.Fn wsdup
+returns a duplicate copy of the wide-character string
+.Fa s .
+This function has been superseded by
+.Xr wcsdup 3C ,
+and behaves identically to it.
+.
+.Ss Fn wslen
+.
+The
+.Fn wslen
+function returns the number of wide-characters in
+.Fa s ,
+excluding the terminating null wide-character code.  This function has been
+superseded by
+.Xr wcslen 3C ,
+and behaves identically to it.
+.
+.Sh INTERFACE STABILITY
+.Sy Obsolete Committed .
+.Sh MT-LEVEL
+.Sy MT-Safe .
+.Sh SEE ALSO
+.Xr malloc 3C ,
+.Xr string 3C ,
+.Xr wcstring 3C ,
+.Xr wcscasecmp 3C ,
+.Xr wcsdup 3C ,
+.Xr wcslen 3C ,
+.Xr wcsncasecmp 3C ,
+.Xr wcswidth 3C
--- old/usr/src/man/man3head/timeb.h.3head	Sun Jul 27 18:01:35 2014
+++ new/usr/src/man/man3head/timeb.h.3head	Sun Jul 27 18:01:35 2014
@@ -1,4 +1,4 @@
-'\" te
+.\" Copyright 2014 Garrett D'Amore <garrett@damore.org>
 .\" Copyright (c) 2001, The IEEE and The Open Group. All Rights Reserved. Portions Copyright (c) 2004, Sun Microsystems, Inc. All Rights Reserved.
 .\" Sun Microsystems, Inc. gratefully acknowledges The Open Group for permission to reproduce portions of its copyrighted documentation. Original documentation from The Open Group can be obtained online at
 .\" http://www.opengroup.org/bookstore/.
@@ -7,51 +7,41 @@
 .\" The contents of this file are subject to the terms of the Common Development and Distribution License (the "License").  You may not use this file except in compliance with the License.
 .\" You can obtain a copy of the license at usr/src/OPENSOLARIS.LICENSE or http://www.opensolaris.org/os/licensing.  See the License for the specific language governing permissions and limitations under the License.
 .\" When distributing Covered Code, include this CDDL HEADER in each file and include the License file at usr/src/OPENSOLARIS.LICENSE.  If applicable, add the following below this CDDL HEADER, with the fields enclosed by brackets "[]" replaced with your own identifying information: Portions Copyright [yyyy] [name of copyright owner]
-.TH TIMEB.H 3HEAD "Sep 10, 2004"
-.SH NAME
-timeb.h, timeb \- additional definitions for date and time
-.SH SYNOPSIS
-.LP
-.nf
-#include <\fBsys/timeb.h\fR>
-.fi
-
-.SH DESCRIPTION
-.sp
-.LP
-The <\fBsys/timeb.h\fR> header defines the \fBtimeb\fR structure, which
-includes the following members:
-.sp
-.in +2
-.nf
-time_t         time        /* the seconds portion of the current time */
-unsigned short millitm     /* the milliseconds portion of the current time */
-short          timezone    /* the local timezone in minutes west  of Greenwich */
-short          dstflag     /* TRUE if Daylight Savings Time is in effect */
-.fi
-.in -2
-
-.sp
-.LP
-The \fBtime_t\fR type is defined as described in <\fBsys/types.h\fR>.
-.SH ATTRIBUTES
-.sp
-.LP
-See \fBattributes\fR(5) for descriptions of the following attributes:
-.sp
-
-.sp
-.TS
-box;
-c | c
-l | l .
-ATTRIBUTE TYPE	ATTRIBUTE VALUE
-_
-Interface Stability	Standard
-.TE
-
-.SH SEE ALSO
-.sp
-.LP
-\fBtime.h\fR(3HEAD), \fBtypes.h\fR(3HEAD), \fBattributes\fR(5),
-\fBstandards\fR(5)
+.Dd "Jul 20, 2014"
+.Dt TIMEB.H 3HEAD
+.Os
+.Sh NAME
+.Nm timeb.h, timeb
+.Nd additional definitions for date and time
+.Sh SYNOPSIS
+.In sys/timeb.h
+.Sh DESCRIPTION
+The
+.In sys/timeb.h
+header defines the
+.Ft timeb
+structure, which includes the following members:
+.Bl -column -offset indent "unsigned short" "timezone" "more"
+.It Ft time_t	Ft time ;	seconds portion of current time
+.It Ft unsigned short	Ft millitm ;	milliseconds portion of current time
+.It Ft short	Ft timezone ;	local timezone in minutes west of Greenwich
+.It Ft short	Ft dstflag ;	TRUE if Daylight Savings Time in effect
+.El
+.Lp
+The
+.Ft time_t
+type is defined as described in
+.In sys/types.h .
+.Sh INTERFACE STABILITY
+.Sy Obsolete Standard .
+.Sh SEE ALSO
+.Xr time.h 3HEAD ,
+.Xr types.h 3HEAD ,
+.Xr standards 5
+.Sh STANDARDS
+The
+.In sys/timeb.h
+header was introduced in
+.St -xpg4.2 ,
+and subsequently removed in
+.St -p1003.1-2008 .
--- old/usr/src/man/man3head/ucontext.h.3head	Sun Jul 27 18:01:35 2014
+++ new/usr/src/man/man3head/ucontext.h.3head	Sun Jul 27 18:01:35 2014
@@ -1,69 +1,69 @@
-'\" te
+.\" Copyright 2014 Garrett D'Amore <garrett@damore.org>
 .\"  Copyright 1989 AT&T  Copyright (c) 2002, Sun Microsystems, Inc.  All Rights Reserved
 .\" The contents of this file are subject to the terms of the Common Development and Distribution License (the "License").  You may not use this file except in compliance with the License.
 .\" You can obtain a copy of the license at usr/src/OPENSOLARIS.LICENSE or http://www.opensolaris.org/os/licensing.  See the License for the specific language governing permissions and limitations under the License.
 .\" When distributing Covered Code, include this CDDL HEADER in each file and include the License file at usr/src/OPENSOLARIS.LICENSE.  If applicable, add the following below this CDDL HEADER, with the fields enclosed by brackets "[]" replaced with your own identifying information: Portions Copyright [yyyy] [name of copyright owner]
-.TH UCONTEXT.H 3HEAD "Aug 30, 2002"
-.SH NAME
-ucontext.h, ucontext \- user context
-.SH SYNOPSIS
-.LP
-.nf
-#include <\fBucontext.h\fR>
-.fi
-
-.SH DESCRIPTION
-.sp
-.LP
-The  <\fBucontext.h\fR> header defines the \fBucontext_t\fR type as a structure
-that includes at least the following members:
-.sp
-.in +2
-.nf
-ucontext_t  uc_link
-sigset_t    uc_sigmask
-stack_t     uc_stack
-mcontext_t  uc_mcontext
-.fi
-.in -2
-
-.sp
-.LP
-The \fBuc_link\fR member is a pointer to the context that to be resumed when
-this context returns. If \fBuc_link\fR is equal to 0, this context is the main
+.Dd "Jul 20, 2014"
+.Dt UCONTEXT.H 3HEAD
+.Os
+.Sh NAME
+.Nm ucontext.h, ucontext
+.Nd user context
+.Sh SYNOPSIS
+.In ucontext.h
+.Sh DESCRIPTION
+The
+.In ucontext.h
+header defines the
+.Ft ucontext_t
+type as a structure that includes at least the following members:
+.Bl -column -offset indent "ucontext_t" "uc_mcontext"
+.It Ft ucontext_t	Fa uc_link ;
+.It Ft sigset_t	Fa uc_sigmask ;
+.It Ft stack_t	Fa uc_stack ;
+.It Ft mcontext_t	Fa uc_mcontext ;
+.El
+.Lp
+The
+.Fa uc_link
+member is a pointer to the context that to be resumed when
+this context returns. If
+.Fa uc_link
+is equal to 0, this context is the main
 context and the process exits when this context returns.
-.sp
-.LP
-The \fBuc_sigmask\fR member defines the set of signals that are blocked when
-this context is active. See \fBsigprocmask\fR(2).
-.sp
-.LP
-The \fBuc_stack\fR member defines the stack used by this context. See
-\fBsigaltstack\fR(2).
-.sp
-.LP
-The \fBuc_mcontext\fR member contains the saved set of machine registers and
+.Lp
+The
+.Fa uc_sigmask
+member defines the set of signals that are blocked when
+this context is active. See
+.Xr sigprocmask 2 .
+.Lp
+The
+.Fa uc_stack
+member defines the stack used by this context. See
+.Xr sigaltstack 2 .
+.Lp
+The
+.Fa uc_mcontext
+member contains the saved set of machine registers and
 any implementation-specific context data. Portable applications should not
-modify or access \fBuc_mcontext\fR.
-.SH ATTRIBUTES
-.sp
-.LP
-See \fBattributes\fR(5) for descriptions of the following attributes:
-.sp
-
-.sp
-.TS
-box;
-c | c
-l | l .
-ATTRIBUTE TYPE	ATTRIBUTE VALUE
-_
-Interface Stability	Standard
-.TE
-
-.SH SEE ALSO
-.sp
-.LP
-\fBgetcontext\fR(2), \fBsigaction\fR(2), \fBsigaltstack\fR(2),
-\fBsigprocmask\fR(2), \fBmakecontext\fR(3C), \fBattributes\fR(5),
-\fBstandards\fR(5)
+modify or access
+.Fa uc_mcontext .
+.Sh INTERFACE STABILITY
+.Sy Obsolete Standard .
+.Sh SEE ALSO
+.Xr getcontext 2 ,
+.Xr sigaction 2 ,
+.Xr sigaltstack 2 ,
+.Xr sigprocmask 2 ,
+.Xr makecontext 3C ,
+.Xr standards 5
+.Sh STANDARDS
+The
+.In ucontext.h
+header was introduced in
+.St -xpg4.2 .
+It was subsequently obsoleted in
+.St -p1003.1-2001 ,
+and removed in
+.St -p1003.1-2008 .
--- old/usr/src/man/man3head/wchar.h.3head	Sun Jul 27 18:01:36 2014
+++ new/usr/src/man/man3head/wchar.h.3head	Sun Jul 27 18:01:36 2014
@@ -1,4 +1,4 @@
-'\" te
+.\" Copyright 2014 Garrett D'Amore <garrett@damore.org>
 .\" Copyright (c) 2001, The IEEE and The Open Group. All Rights Reserved. Portions Copyright (c) 2004, Sun Microsystems, Inc. All Rights Reserved.
 .\" Sun Microsystems, Inc. gratefully acknowledges The Open Group for permission to reproduce portions of its copyrighted documentation. Original documentation from The Open Group can be obtained online at
 .\" http://www.opengroup.org/bookstore/.
@@ -7,173 +7,168 @@
 .\" The contents of this file are subject to the terms of the Common Development and Distribution License (the "License").  You may not use this file except in compliance with the License.
 .\" You can obtain a copy of the license at usr/src/OPENSOLARIS.LICENSE or http://www.opensolaris.org/os/licensing.  See the License for the specific language governing permissions and limitations under the License.
 .\" When distributing Covered Code, include this CDDL HEADER in each file and include the License file at usr/src/OPENSOLARIS.LICENSE.  If applicable, add the following below this CDDL HEADER, with the fields enclosed by brackets "[]" replaced with your own identifying information: Portions Copyright [yyyy] [name of copyright owner]
-.TH WCHAR.H 3HEAD "Sep 10, 2004"
-.SH NAME
-wchar.h, wchar \- wide-character handling
-.SH SYNOPSIS
-.LP
-.nf
-#include <\fBwchar.h\fR>
-.fi
-
-.SH DESCRIPTION
-.sp
-.LP
-The <\fBwchar.h\fR> header defines the following types:
-.sp
-.ne 2
-.na
-\fB\fBwchar_t\fR\fR
-.ad
-.RS 13n
-As described in <\fBstddef.h\fR>.
-.RE
-
-.sp
-.ne 2
-.na
-\fB\fBwint_t\fR\fR
-.ad
-.RS 13n
-An integer type capable of storing any valid value of \fBwchar_t\fR or
-\fBWEOF\fR.
-.RE
-
-.sp
-.ne 2
-.na
-\fB\fBwctype_t\fR\fR
-.ad
-.RS 13n
+.Dd "Jul 27, 2014"
+.Dt WCHAR.H 3HEAD
+.Os
+.Sh NAME
+.Nm wchar.h ,
+.Nm wchar
+.Nd wide-character handling
+.Sh SYNOPSIS
+.In wchar.h
+.Sh DESCRIPTION
+The
+.In wchar.h
+header defines the following types:
+.Bl -tag -width Vt
+.
+.It Vt wchar_t
+As described in
+.In stddef.h .
+.
+.It Vt wint_t
+An integer type capable of storing any valid value of
+.Vt wchar_t
+or
+.Dv WEOF .
+.
+.It Vt wctype_t
 A scalar type of a data object that can hold values which represent
 locale-specific character classification.
-.RE
-
-.sp
-.ne 2
-.na
-\fB\fBmbstate_t\fR\fR
-.ad
-.RS 13n
+.
+.It Vt locale_t
+As described in
+.In locale.h .
+.
+.It Vt mbstate_t
 An object type other than an array type that can hold the conversion state
 information necessary to convert between sequences of (possibly multi-byte)
-characters and wide characters.  If a codeset is being used such that  an
-\fBmbstate_t\fR needs to preserve more than two levels of reserved state, the
+characters and wide characters.  If a codeset is being used such that an
+.Vt mbstate_t
+needs to preserve more than two levels of reserved state, the
 results are unspecified.
-.RE
-
-.sp
-.ne 2
-.na
-\fB\fBFILE\fR\fR
-.ad
-.RS 13n
-As described in <\fBstdio.h\fR>.
-.RE
-
-.sp
-.ne 2
-.na
-\fB\fBsize_t\fR\fR
-.ad
-.RS 13n
-As described in <\fBstddef.h\fR>.
-.RE
-
-.sp
-.ne 2
-.na
-\fB\fBva_list\fR\fR
-.ad
-.RS 13n
-As described in <\fBstdarg.h\fR>.
-.RE
-
-.sp
-.LP
+.
+.It Vt FILE
+As described in
+.In stdio.h .
+.
+.It Vt size_t
+As described in
+.In stddef.h .
+.
+.It Vt va_list
+As described in
+.In stdarg.h .
+.El
+.
+.Lp
 The implementation supports one or more programming environments in which the
-width of \fBwint_t\fR is no greater than the width of type \fBlong\fR. The
-names of these programming environments can be obtained using the
-\fBconfstr\fR(3C) function or the \fBgetconf\fR(1) utility.
-.sp
-.LP
-The <\fBwchar.h\fR> header defines the following macros:
-.sp
-.ne 2
-.na
-\fB\fBWCHAR_MAX\fR\fR
-.ad
-.RS 13n
-The maximum value representable by an object of type \fBwchar_t\fR.
-.RE
-
-.sp
-.ne 2
-.na
-\fB\fBWCHAR_MIN\fR\fR
-.ad
-.RS 13n
-The minimum value representable by an object of type \fBwchar_t\fR.
-.RE
-
-.sp
-.ne 2
-.na
-\fB\fBWEOF\fR\fR
-.ad
-.RS 13n
-Constant expression of type \fBwint_t\fR that is returned by several WP
-functions to indicate end-of-file.
-.RE
-
-.sp
-.ne 2
-.na
-\fB\fBNULL\fR\fR
-.ad
-.RS 13n
-As described in <\fBstddef.h\fR>.
-.RE
-
-.sp
-.LP
-The tag \fBtm\fR is declared as naming an incomplete structure type, the
-contents of which are described in the header <\fBtime.h\fR>.
-.sp
-.LP
-Inclusion of the <\fBwchar.h\fR> header can make visible all symbols from the
-headers <\fBctype.h\fR>,  <\fBstring.h\fR>, <\fBstdarg.h\fR>, <\fBstddef.h\fR>,
-<\fBstdio.h\fR>, <\fBstdlib.h\fR>, and <\fBtime.h\fR>.
-.SH ATTRIBUTES
-.sp
-.LP
-See \fBattributes\fR(5) for descriptions of the following attributes:
-.sp
-
-.sp
-.TS
-box;
-c | c
-l | l .
-ATTRIBUTE TYPE	ATTRIBUTE VALUE
-_
-Interface Stability	Standard
-.TE
-
-.SH SEE ALSO
-.sp
-.LP
-\fBgetconf\fR(1), \fBbtowc\fR(3C), \fBconfstr\fR(3C), \fBfgetwc\fR(3C),
-\fBgetws\fR(3C), \fBfputwc\fR(3C), \fBfputws\fR(3C), \fBfwide\fR(3C),
-\fBfwprintf\fR(3C), \fBfwscanf\fR(3C), \fBgetwc\fR(3C), \fBgetwchar\fR(3C),
-\fBiswalpha\fR(3C), \fBiswctype\fR(3C), \fBmbsinit\fR(3C), \fBmbrlen\fR(3C),
-\fBmbrtowc\fR(3C), \fBmbsrtowcs\fR(3C), \fBtowlower\fR(3C), \fBtowupper\fR(3C),
-\fBungetwc\fR(3C), \fBvfwprintf\fR(3C), \fBwcrtomb\fR(3C), \fBwcsrtombs\fR(3C),
-\fBwcstring\fR(3C), \fBwcsstr\fR(3C), \fBwcstod\fR(3C), \fBwcscoll\fR(3C),
-\fBwcsftime\fR(3C), \fBwcstol\fR(3C), \fBwcstoul\fR(3C), \fBwcswidth\fR(3C),
-\fBwcsxfrm\fR(3C), \fBwctob\fR(3C), \fBwctype\fR(3C), \fBwcwidth\fR(3C),
-\fBwmemchr\fR(3C), \fBwmemcmp\fR(3C), \fBwmemcpy\fR(3C), \fBwmemmove\fR(3C),
-\fBwmemset\fR(3C), \fBstdarg\fR(3EXT), \fBstddef.h\fR(3HEAD),
-\fBstdio.h\fR(3HEAD), \fBstdlib.h\fR(3HEAD), \fBstring.h\fR(3HEAD),
-\fBtime.h\fR(3HEAD), \fBwctype.h\fR(3HEAD), \fBattributes\fR(5),
-\fBstandards\fR(5)
+width of
+.Vt wint_t
+is no greater than the width of type
+.Vt long .
+The names of these programming environments can be obtained using the
+.Xr confstr 3C
+function or the
+.Xr getconf 1
+utility.
+.Lp
+The
+.In wchar.h
+header defines the following macros:
+.Bl -tag -width Dv
+.
+.It Dv WCHAR_MAX
+The maximum value representable by an object of type
+.Vt wchar_t .
+.
+.It Dv WCHAR_MIN
+The minimum value representable by an object of type
+.Vt wchar_t .
+.
+.It Dv WEOF
+Constant expression of type
+.Vt wint_t
+that is returned by certain wide-character functions to indicate end-of-file.
+.
+.It Dv NULL
+As described in
+.In stddef.h .
+.El
+.Lp
+The tag
+.Vt tm
+is declared as naming an incomplete structure type, the
+contents of which are described in the header
+.In time.h .
+.Lp
+Inclusion of the
+.In wchar.h
+header can make visible all symbols from the headers
+.In ctype.h ,
+.In string.h ,
+.In stdarg.h ,
+.In stddef.h ,
+.In stdio.h ,
+.In stdlib.h ,
+and
+.In time.h .
+.Sh INTERFACE STABILITY
+.Sy Standard .
+.Sh SEE ALSO
+.Xr getconf 1 ,
+.Xr btowc 3C ,
+.Xr confstr 3C ,
+.Xr fgetwc 3C ,
+.Xr getws 3C ,
+.Xr fputwc 3C ,
+.Xr fputws 3C ,
+.Xr fwide 3C ,
+.Xr fwprintf 3C ,
+.Xr fwscanf 3C ,
+.Xr getwc 3C ,
+.Xr getwchar 3C ,
+.Xr iswalpha 3C ,
+.Xr iswctype 3C ,
+.Xr mbsinit 3C ,
+.Xr mbrlen 3C ,
+.Xr mbrtowc 3C ,
+.Xr mbsrtowcs 3C ,
+.Xr towlower 3C ,
+.Xr towupper 3C ,
+.Xr ungetwc 3C ,
+.Xr vfwprintf 3C ,
+.Xr wcrtomb 3C ,
+.Xr wcsrtombs 3C ,
+.Xr wcstring 3C ,
+.Xr wcsstr 3C ,
+.Xr wcstod 3C ,
+.Xr wcscoll 3C ,
+.Xr wcsdup 3C ,
+.Xr wcsftime 3C ,
+.Xr wcslen 3C ,
+.Xr wcstol 3C ,
+.Xr wcstoul 3C ,
+.Xr wcswidth 3C ,
+.Xr wcsxfrm 3C ,
+.Xr wctob 3C ,
+.Xr wctype 3C ,
+.Xr wcwidth 3C ,
+.Xr wmemchr 3C ,
+.Xr wmemcmp 3C ,
+.Xr wmemcpy 3C ,
+.Xr wmemmove 3C ,
+.Xr wmemset 3C ,
+.Xr stdarg 3EXT ,
+.Xr stddef.h 3HEAD ,
+.Xr stdio.h 3HEAD ,
+.Xr stdlib.h 3HEAD ,
+.Xr string.h 3HEAD ,
+.Xr time.h 3HEAD ,
+.Xr wctype.h 3HEAD ,
+.Xr standards 5)
+.Sh STANDARDS
+The
+.In wchar.h
+header was introduced in
+.St -xpg4 .
--- old/usr/src/man/man3lib/libc.3lib	Sun Jul 27 18:01:36 2014
+++ new/usr/src/man/man3lib/libc.3lib	Sun Jul 27 18:01:36 2014
@@ -1,4 +1,3 @@
-'\" te
 .\" Copyright 2014 Garrett D'Amore <garrett@damore.org>
 .\" Copyright (c) 2009, Sun Microsystems, Inc.  All rights reserved.
 .\" The contents of this file are subject to the terms of the Common Development and Distribution License (the "License").  You may not use this file except in compliance with the License. You can obtain a copy of the license at usr/src/OPENSOLARIS.LICENSE or http://www.opensolaris.org/os/licensing.
